Skip to main content
POST
Create a pipeline

Authorizations

Authorization
string
header
required

Send the API token as Authorization: Bearer <token>.

Body

application/json
name
string
required

Pipeline name.

query
string
required

SQL query defining the pipeline.

parallelism
integer
required

Number of parallel subtasks.

checkpoint_interval_micros
integer

Checkpoint interval in microseconds. Defaults to 30 seconds.

Response

A Pipeline object.

id
string
name
string
query
string
parallelism
integer
checkpoint_interval_micros
integer
stop
enum<string>

Stop mode.

Available options:
none,
graceful,
immediate,
checkpoint,
force
created_at
integer
graph
object
action
string
action_text
string
action_in_progress
boolean
preview
boolean